| Home | Libraries | People | FAQ | More

##### basic_format_context::get

Retrieves the result of the formatting operation.

###### Synopsis

    system::result< OutputString >
    get();

###### Description

After running the relevant formatting operations (using `append_raw`, `append_value` or `format_sql_to`), call this function to retrieve the overall result of the operation.

If `error_state` is a non-empty error code, returns it as an error. Otherwise, returns the output string, move-constructing it into the `system::result` object.

This function is move-only: once called, `*this` is left in a valid but unspecified state.

###### Exception safety

Basic guarantee: exceptions thrown by move-constructing `OutputString` are propagated.